package edu.rochester.cs.quagents3.client;

/**
 * FollowViewpoint represents a GOD command which sets the viewpoint of the player to
 * that of the specified client
 */
public class FollowViewpoint extends ProtocolZero{
	private static final String opcode = "fo";
	public static final int SPECTATE = -1;
	
	private final int clientnum;
	
	public FollowViewpoint(int clientnum){
		super(false,CommandType.FOLLOWVIEWPOINT);
		this.clientnum = clientnum;
	}
	
	public void setData(String params){
		System.err.println("error: FollowViewpoint does not facilitate data response");
	}
	
	protected void setOp(){
		op = opcode + " " + id + " " + clientnum;
	}
}