package edu.rochester.cs.quagents3.client;
/**
 * Class which represents a ForgetAllTasks CQM.
 */
public class ForgetAllTasks extends ProtocolZero{
	private static final String opcode = "fa";
	public ForgetAllTasks(priority_t priority){
		super(false,CommandType.FORGETALLTASKS,priority);
	}
	public ForgetAllTasks(){
		super(false,CommandType.FORGETALLTASKS);
	}
	public ForgetAllTasks(priority_t priority,long period){
		super(false,CommandType.FORGETALLTASKS,period,priority);
	}
	public ForgetAllTasks(long period){
		super(false,CommandType.FORGETALLTASKS,period);
	}
	public ForgetAllTasks(priority_t priority,long period,long delay){
		super(false,CommandType.FORGETALLTASKS,period,delay,priority);
	}
	public ForgetAllTasks(long period,long delay){
		super(false,CommandType.FORGETALLTASKS,period,delay);
	}
	
	protected void setOp(){
		op = Client.convertPriority(priority) + " " + opcode + " " + id;
	}
	
	public void setData(String params){
		System.err.println("error: ForgetAllTasks does not facilitate a data response");
	}
}
