package edu.rochester.cs.quagents3.client;

import java.util.Scanner;

public class GODPause extends ProtocolZero{
	private static final String opcode = "ps";
	
	private boolean ispaused;
	
	public GODPause(){
		super(true,CommandType.GODPAUSE);
	}
	
	public boolean isPaused(){
		return ispaused;
	}

	public void setData(String params) {
		datastring = params;
		paramscan = new Scanner(params);
		String pause = paramscan.next();
		if(pause.equals("pause"))
			ispaused = true;
		else if(pause.equals("unpause"))
			ispaused = false;
		else
			System.err.println("protocol error: data response for GODPause");
	}

	@Override
	protected void setOp() {
		op = opcode + " " + id;
	}
}
