package edu.rochester.cs.quagents3.client;

public class SpeedUp extends ProtocolZero{
	private static final String opcode = "su";
	
	private final double factor;
	
	public SpeedUp(double factor){
		super(false,CommandType.SPEEDUP);
		this.factor = factor;
	}
	
	public double getFactor(){
		return factor;
	}

	@Override
	public void setData(String params) {
		System.err.println("error: SpeedUp does not facilitate data response");
	}

	@Override
	protected void setOp() {
		op = opcode + " " + id + " " + factor;
	}
}
