package edu.rochester.cs.quagents3.client;
import java.io.*;
import java.util.*;
import java.util.concurrent.ConcurrentHashMap;
import java.net.*;

//represents all fields
public class UpdatedMemory{
	public ConcurrentHashMap<String,Object[]> mem;
	private InputStream sockin; //reads from socket. memory doesn't need to see socket, only reader
	private Reader reader;
	private Scanner scan;
	private boolean inuse=true; //assume datastream used
	
	public UpdatedMemory(Socket s, String[] ops) throws IOException{
		if(ops==null){inuse = false;} //no updatememory
		else{
		sockin = s.getInputStream();
		reader = new InputStreamReader(sockin);
		mem = new ConcurrentHashMap<String,Object[]>(ops.length); 
		//@value: number for now, may change to object later
		
		//init table with keys to be updated
		//for(int i=0; i<opcodes.length; i++)
			//mem.put(opcodes[i], new Object[]());
		}
	}
	
	public void run(){
		if(inuse){
			char c; String key = ""; String exit="";
			try{
			while(true){
				exit = "";
				while((c=(char)reader.read())!='\n'){
					exit+=c; 
					//System.out.println(exit); System.out.flush();
					}
				scan = new Scanner(exit);
				key = scan.next();
				if(key.equals("li")){ //we have heard speech
					String speech = exit.substring(2);
					try{speechSynth(speech);}
					catch(IOException e1){System.err.println("speech synthesis error");}
					Object o[] = {speech};
					mem.put(key, o);
				}
				else{
					ArrayList<Object> o = new ArrayList<Object>();
					while(scan.hasNext()) o.add(scan.next());
					mem.put(key, o.toArray());
				}
			}
			} catch(IOException e1){e1.printStackTrace();}
		}
	}
	
	//just speaks, may add save option in later version
	private void speechSynth(String speech) throws IOException{
		Runtime.getRuntime().exec("java -jar ../../freetts-1.2/lib/freetts.jar -voice alan -text " + speech);
	}
	
}
