package edu.rochester.cs.quagents3.main;

import java.io.*;
import edu.rochester.cs.quagents3.util.StoppableThread;

public class GameStarter{
	private static Process p;
	private static String map;
	//private static final String serverpath = "../../ioquake3/build/release-linux-i386/ioquake3.i386";
	
	public GameStarter(String map) {
		p=null;
		GameStarter.map = map;
	}

	public void run(){
		try{StartGame();}
		catch(Exception e1){System.err.println("****** Critical error: cannot locate Quagents3 server ******"); System.exit(-1);}
	}
	
	public static void StartGame() throws Exception{
		String platform = new BufferedReader(new InputStreamReader(Runtime.getRuntime().exec("uname -s").getInputStream())).readLine();
		if(platform.equals("Darwin")){ //we need to run without vm on mac
			String isa = new BufferedReader(new InputStreamReader(Runtime.getRuntime().exec("uname -m").getInputStream())).readLine();
			String[] cmdarray = {Config.buildpath + "/ioquake3." + isa,"+cg_drawGun", "0", "+cg_draw2d" , "0","+sv_pure", "0",
					"+vm_game", "0", "+vm_ui", "0", "+map",map};
			p = Runtime.getRuntime().exec(cmdarray);
		}
		else{
			String isa = new BufferedReader(new InputStreamReader(Runtime.getRuntime().exec("uname -i").getInputStream())).readLine();
			p = Runtime.getRuntime().exec(Config.buildpath + "/ioquake3." + isa + " +cg_drawGun 0 +cg_draw2d 0 +map " + map);
		}
	}
}
