package edu.rochester.cs.quagents3.main;

import javax.swing.*;

/**
 * Main application interface for Quagents. Top level abstracts from
 * Agent code.
 *
 */
public class Quagents {
	public static JFrame frame;
	public static JPanel init;
	public static JPanel next;
	
	public static void main(String args[]){
		frame = new JFrame("Quagents3");
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		init = new ScenarioGUI(new Sandbox(), new CaptureTheFlag(),
				new CaveExploration(2,0),new WumpusWorld(), new DirectorControl(), new RoboticImagingSystem());
		frame.add(init);
		frame.pack();
		frame.setVisible(true);
	}
}
