package edu.rochester.cs.quagents3.main;

import java.io.IOException;

import edu.rochester.cs.quagents3.client.CameraQuagent;
import edu.rochester.cs.quagents3.client.QuagentExecution;

public class RoboticImagingSystem extends Scenario{
public static final String[] maps = {"randommap", "delta","firstroom", "hurdles", "largeroom",
	"medroom", "smallroom", "maze1"};
private static final String scenarioname = "Robotic Imaging System";
private QuagentExecution quagentcode;

	public RoboticImagingSystem(){
		super(scenarioname,maps);
	}
	
	//simply make blank config file so server configs to default settings
	protected void configure() throws IOException{}
	
	protected void initialize(){}
	
	protected void runQuagentCode(){}

	protected void setGUI() {
		Quagents.frame.dispose();
		Quagents.frame = new CameraQuagent("127.0.0.1");
	}
}
