package edu.rochester.cs.quagents3.aux;

import java.util.Scanner;

public class Capture {
	private static AudioInput in;
	private static Scanner scan;
	
	//args0: filename not include extension
	public static void main(String[] args) {
		try{if(args[0].equals("-h"))
				usage();
			else
				in = new AudioInput(args[0]);}
		catch(Exception e1){in = new AudioInput("audiolog");}
		scan = new Scanner(System.in);
		while(true){ //spin until told to terminate
			if(scan.next().equals("terminate"))
				break;
		}
		in.terminate();
	}
	
	private static void usage(){
		System.err.println("Quagents auxilary audio recorder usage:");
		System.err.println("args[0]=filename (without extension)");
		System.err.println("program will default to \"audiolog\", saved in the same directory as the source.");
		System.err.println("to end recording, enter \"terminate\" into the command line.");
		System.exit(0);
	}
}
