package edu.rochester.cs.quagents3.client;
import java.util.EventListener;
/**
 * Interface which provides handles for all GOD events.
 * Currently implemented events are:
 * <ul> <li> Player Join </li>
 * <li> Player Disconnect </li>
 * <li> Player Death </li>
 */
public interface GODEventListener extends EventListener{
	public void playerJoined(GODEvent event);
	public void playerDisconnected(GODEvent event);
	public void playerDied(GODEvent event);
}
