package edu.rochester.cs.quagents3.client;

import java.util.Scanner;

public class GetArmor extends ProtocolZero{
	private static final String opcode = "ga";
	
	private final int entityid;
	
	private int armor;
	
	public GetArmor(int entityid){
		super(true,CommandType.GETARMOR);
		this.entityid = entityid;
	}
	
	public int getEntityID(){
		return entityid;
	}
	
	public int getArmor(){
		return armor;
	}

	@Override
	public void setData(String params) {
		datastring = params;
		paramscan = new Scanner(params);
		paramscan.nextInt(); //burn recycled entityid
		armor = paramscan.nextInt();
	}

	@Override
	protected void setOp() {
		op = opcode + " " + id + " " + entityid;
	}
	
	
}
