package edu.rochester.cs.quagents3.client;
import java.util.Scanner;
/**
 * Director command which responds with the specified entity's position.
 */
public class GetHealth extends ProtocolZero{
	private static final String opcode = "gh";
	
	private final int entityid;
	
	private int health;
	
	public GetHealth(int entityid){
		super(true,CommandType.GETHEALTH);
		this.entityid = entityid;
	}
	
	public int getEntityID(){
		return entityid;
	}
	
	public int getHealth(){
		return health;
	}

	@Override
	public void setData(String params) {
		datastring = params;
		paramscan = new Scanner(params);
		paramscan.nextInt(); //don't care about recycled entityid
		health = paramscan.nextInt();
	}

	protected void setOp() {
		op = opcode + " " + id + " " + entityid;
	}
}
