package edu.rochester.cs.quagents3.client;

import java.util.Scanner;

public class PickUp extends ProtocolZero{
	private static final String opcode = "pu";

	
	private String itemtype;
	private int quantity;
	private boolean pickedup;
	
	public PickUp(){
		super(true,CommandType.PICKUP);
	}
	
	public PickUp(long period){
		super(true,CommandType.PICKUP,period);
	}
	
	public PickUp(long period, priority_t priority){
		super(true,CommandType.PICKUP, period, priority);
	}
	
	public PickUp(priority_t priority){
		super(true,CommandType.PICKUP, priority);
	}
	
	public void setData(String params) {
		datastring += params + "\n";
		paramscan = new Scanner(params);
		String bool = paramscan.next();
		if(bool.equals("t"))
			pickedup = true;
		else if(bool.equals("f"))
			pickedup = false;
		else; //error
		if(pickedup){
			quantity = paramscan.nextInt();
			itemtype = paramscan.next();
		}
		else
			itemtype = paramscan.next();
		
	}
	
	public String getItemType(){
		return itemtype;
	}

	public int getQuantity(){
		return quantity;
	}
	
	public boolean hasPickedUp(){
		return pickedup;
	}
	
	protected void setOp(){
		op = Client.convertPriority(priority) + " " + opcode + " " + id;
	}
}
