package edu.rochester.cs.quagents3.client;

/**
 * Class which represents a Pop CQM.
 */
public class Pop extends ProtocolZero{
	private static final String opcode = "po";
	public Pop(priority_t priority){
		super(false,CommandType.POP,priority);
	}
	public Pop(){
		super(false,CommandType.POP);
	}
	public Pop(priority_t priority,long period){
		super(false,CommandType.POP,period,priority);
	}
	public Pop(long period){
		super(false,CommandType.POP,period);
	}
	public Pop(priority_t priority,long period,long delay){
		super(false,CommandType.POP,period,delay,priority);
	}
	public Pop(long period,long delay){
		super(false,CommandType.POP,period,delay);
	}
	@Override
	public void setData(String params) {
		System.err.println("error: Pop does not facilitate data response");
	}
	
	protected void setOp(){
		op = Client.convertPriority(priority) + " " + opcode + " " + id;
	}
}
