package edu.rochester.cs.quagents3.client;
import java.util.EventListener;

/**
 * Interface which provides handles for all Quagent events.
 * Currently implemented events are:
 * <ul><li>Listen</li>
 * <li>Death</li></ul>
 */
public interface QEventListener extends EventListener {
	public void messageHeard(QEvent event);
	public void hasDied(QEvent event);
}
