package edu.rochester.cs.quagents3.client;

public class SlowMo extends ProtocolZero{
	private static final String opcode = "sm";
	
	private final double factor;
	
	public SlowMo(double factor){
		super(false,CommandType.SLOWMO);
		this.factor = factor;
	}
	
	public double getFactor(){
		return factor;
	}

	@Override
	public void setData(String params) {
		System.err.println("error: SlowMo does not facilitate data response");
	}

	@Override
	protected void setOp() {
		op = opcode + " " + id + " " + factor;
	}
}
