package edu.rochester.cs.quagents3.main;

import java.io.IOException;
import java.util.*;

import edu.rochester.cs.quagents3.client.*;

public class DirectorControl extends Scenario{
	public static final String[] maps = {"randommap", "delta","firstroom", "hurdles", "largeroom",
		"medroom", "smallroom", "maze1"};
	private static final String scenarioname = "Director Control Panel";
	
	public DirectorControl() {
		super(scenarioname, maps);
	}
	
	public void setGUI(){
		Quagents.next = new ControlPanel(director);
		Quagents.frame.setName("Quagents3 Director Control Panel");
		Quagents.frame.add(Quagents.next);
		Quagents.frame.remove(Quagents.init);
		Quagents.frame.pack();
		Quagents.frame.setVisible(true);
	}

	protected void configure() throws IOException{}
	protected void runQuagentCode(){
		try{
			Client[] q = new Client[1];
			for(int i=0; i<q.length; i++){
				q[i] = new Client("127.0.0.1");
				q[i].name("Quagent" + i);
				q[i].botfile("tony");
				q[i].ready();
			}
		}
		catch(Exception e1){}
		}
	
	protected void initialize(){
		try{director = new GOD("127.0.0.1");}
		catch(Exception e1){}
	}
}
