package edu.rochester.cs.quagents3.main;

import edu.rochester.cs.quagents3.client.*;

public class QuagentsSandbox implements QuagentExecution{
	Client quagent;
	Client quagent2; //can have multiple quagents per QuagentExecution - it's a total blackbox
	GOD director;
	
	public QuagentsSandbox(){
		Client.VERBOSE = true;
		try {
			quagent = new Client("127.0.0.1"); 
			quagent.name("Camera");
			quagent.botfile("tony");
			quagent.ready();
		}
		catch (Exception e1) {System.err.println("Please specify a valid Quagents3 server IP address.");}
	}
	
	public void executeCode() {
	}

	private class RotateListener implements CommandTerminationListener{
		private final Client quagent;
		
		public RotateListener(Client quagent){
			this.quagent = quagent;
		}
		public void commandTerminated(Command com) {
			switch(com.whatAmI()){
			case MOVEFOREVER:
				quagent.rotate(180,priority_t.REPLACE);
				break;
			case ROTATE:
				quagent.moveForever();
				break;
			}
		}		
	}
}
